GetBlockByLimitNext
POST
Returns the list of Block Objects included in the 'Block Height' range specified. (Confirmed state)
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
startNuminteger
Starting block height (inclusive). Example: 1endNuminteger
Ending block height (exclusive). Example: 5visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Responses
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "400"}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/walletsolidity/getblockbylimitnext' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"startNum": 1,"endNum": 5}'